summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Klaatu <klaatu@member.fsf.org>2015-07-07 16:38:58 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-07 16:38:58 +0700
commit0619d75156d5857c7a12b444a17b2c2dbe6fa146 (patch)
treeb6c6f197d56880fa176bc9704e5ed655073ca061 /audio
parent7754a35ebde7861910dcf685451c289d0b95a130 (diff)
downloadslackbuilds-0619d75156d5857c7a12b444a17b2c2dbe6fa146.tar.gz
slackbuilds-0619d75156d5857c7a12b444a17b2c2dbe6fa146.tar.xz
audio/nekobee: Added (tb-303 clone).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/nekobee/README8
-rw-r--r--audio/nekobee/nekobee.SlackBuild74
-rw-r--r--audio/nekobee/nekobee.info12
-rw-r--r--audio/nekobee/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/audio/nekobee/README b/audio/nekobee/README
new file mode 100644
index 0000000000..a5d8fb425d
--- /dev/null
+++ b/audio/nekobee/README
@@ -0,0 +1,8 @@
+Nekobee is a DSSI plugin.
+
+It is a Roland TB-303 (bass synth) clone. It clones
+just the synth part of the 303 (not the sequencer)
+and has a single oscillator and all of 8 knobs.
+It is a mono synth.
+
+In other words: very simple, but an iconic sound.
diff --git a/audio/nekobee/nekobee.SlackBuild b/audio/nekobee/nekobee.SlackBuild
new file mode 100644
index 0000000000..aeac8a2d45
--- /dev/null
+++ b/audio/nekobee/nekobee.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+# Slackware build script for nekobee
+# Copyright 2015 Klaatu Wellington NZ
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=nekobee
+VERSION=${VERSION:-593d4be}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-master
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-master
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+if [ X$LIBDIRSUFFIX == "X64" ]; then
+ #patch wscript
+ sed -i "s/'lib'/'lib64'/" wscript
+fi
+
+./waf --prefix=/usr configure
+./waf --prefix=/usr build
+./waf --destdir=$PKG install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/nekobee/nekobee.info b/audio/nekobee/nekobee.info
new file mode 100644
index 0000000000..0e9ec42aa8
--- /dev/null
+++ b/audio/nekobee/nekobee.info
@@ -0,0 +1,12 @@
+PRGNAM="nekobee"
+VERSION="593d4be"
+HOMEPAGE="https://github.com/gordonjcp/nekobee"
+DOWNLOAD="http://slackermedia.info/slackbuilds/nekobee/src/nekobee-593d4be.zip \
+ http://ponce.cc/slackware/sources/repo/waf-1.8.4"
+MD5SUM="5d41908b7563a3ad35159c1d8e51e24b \
+ cec616469f698d68cfd54125fa48f2a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="dssi"
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/audio/nekobee/slack-desc b/audio/nekobee/slack-desc
new file mode 100644
index 0000000000..93131472c1
--- /dev/null
+++ b/audio/nekobee/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+nekobee: nekobee (tb-303 clone)
+nekobee:
+nekobee: Nekobee is a simple TB-303 clone. Simple but effective.
+nekobee:
+nekobee: https://github.com/gordonjcp/nekobee
+nekobee:
+nekobee:
+nekobee:
+nekobee:
+nekobee:
+nekobee: